<?php

namespace app\model;

use support\Model;

class Userbank extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'userbank';

    /**
     * The primary key associated with the table.
     *
     * @var string
     */
    protected $primaryKey = 'id';

    protected $fillable = [
        'user_id',
        'account',
        'type',
        'bank_name',
        'bank_username',
        'remark',
    ];
    public $timestamps = false;
}
